Validate a poll vote
POST /cms/poll/{id}/validate
POST
/cms/poll/{id}/validate
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ”Validation payload
object
phone_number
required
Phone number for SMS validation
string
code
required
Validation code received via SMS
string
Responses
Section titled “ Responses ”Vote recorded
Poll
API representation of a poll
object
id
Poll ID
integer format: int64
timestamp
Timestamp
string
question
Question
string
choices
Choices
Array<string>
votes
Votes
integer
slug
Slug
string
category
PollCategory
API representation of a poll category
object
id
Category ID
integer format: int64
name
Name
string
image
Image
string
results
Results
Array<object>
object
value
Number of votes
integer format: int64
percentage
Percentage of total votes
number format: float
message
Message
string
onlyLoggedIn
Only logged in
integer
endDate
End date
string
voted
Voted (only true when voting)
boolean
voted_choice
Voted choice (only valid when voting)
integer
closed
Closed
integer